There are cases where participants can only use an outdated browser. For that, we provide the restricted/ compatibility mode. This allows users to still see the presentation but they need to dial in to be part of the conference.

However, you don't need to worry, the mode will be switched automatically if the browser is not new enough.

The restricted/ compatibility mode is a presentation-only view. Participants need to dial in for conferencing. Also, it does not support all of Demodesks features, such as interactivity, video stream, and local screen sharing.

Demodesk requires a modern browser to enable video conferencing functionality. Therefore we recommend everyone to use the most recent Chrome or Firefox browser.

For more details on which browsers are supported, refer to our supported browser list.

Did this answer your question?